Loading...
Searching...
No Matches
_etmv4_context_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv4.h>`

## Public Attributes

struct { |
uint32_t EL:2 |
| exception level. More...
uint32_t SF:1 |
| sixty four bit More...
uint32_t NS:1 |
| none secure More...
uint32_t updated:1 |
| updated this context packet (otherwise same as last time) More...
uint32_t updated_c:1 |
| updated CtxtID More...
uint32_t updated_v:1 |
| updated VMID More...
uint32_t NSE:1 |
| PE FEAT_RME: root / realm indicator. More...
}; |  |
uint32_t | ctxtID
| Current ctxtID.
uint32_t | VMID
| current VMID

## Detailed Description

Definition at line 179 of file trc_pkt_types_etmv4.h.

## Member Data Documentation

## [struct]

struct { ... } _etmv4_context_t

## ctxtID

uint32_t _etmv4_context_t::ctxtID

Current ctxtID.

Definition at line 189 of file trc_pkt_types_etmv4.h.

## EL

uint32_t _etmv4_context_t::EL

exception level.

Definition at line 181 of file trc_pkt_types_etmv4.h.

## NS

uint32_t _etmv4_context_t::NS

none secure

Definition at line 183 of file trc_pkt_types_etmv4.h.

## NSE

uint32_t _etmv4_context_t::NSE

PE FEAT_RME: root / realm indicator.

Definition at line 187 of file trc_pkt_types_etmv4.h.

## SF

uint32_t _etmv4_context_t::SF

sixty four bit

Definition at line 182 of file trc_pkt_types_etmv4.h.

## updated

uint32_t _etmv4_context_t::updated

updated this context packet (otherwise same as last time)

Definition at line 184 of file trc_pkt_types_etmv4.h.

## updated_c

uint32_t _etmv4_context_t::updated_c

updated CtxtID

Definition at line 185 of file trc_pkt_types_etmv4.h.

## updated_v

uint32_t _etmv4_context_t::updated_v

updated VMID

Definition at line 186 of file trc_pkt_types_etmv4.h.

## VMID

uint32_t _etmv4_context_t::VMID

current VMID

Definition at line 190 of file trc_pkt_types_etmv4.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_pkt_types_etmv4.h